Worked request and response samples
Copy a request body as written, substitute your own ids, and compare the response envelope. Errors follow Devotel Orbit’s{ error, meta } envelope, shown once below under Error envelope.
Create an RCS bot
POST /api/v1/rcs/botscURL
curl -X POST "https://api.orbit.devotel.io/api/v1/rcs/bots" \
-H "X-API-Key: dv_live_sk_your_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Order status bot",
"brand_id": "brand_2b3c4d5e6f7081a2b3c4d5"
}'
Node.js
import { Orbit } from '@devotel-orbit/node'
const orbit = new Orbit({
apiKey: process.env.ORBIT_API_KEY!,
})
const res = await fetch('https://api.orbit.devotel.io/api/v1/rcs/bots', {
method: 'POST',
headers: {
'X-API-Key': process.env.ORBIT_API_KEY!,
'Content-Type': 'application/json',
},
body: JSON.stringify({
"name": "Order status bot",
"brand_id": "brand_2b3c4d5e6f7081a2b3c4d5"
}),
})
console.log(await res.json())
Python
import os, requests
headers = {"X-API-Key": os.environ["ORBIT_API_KEY"]}
headers["Content-Type"] = "application/json"
r = requests.post("https://api.orbit.devotel.io/api/v1/rcs/bots", headers=headers, json={
"name": "Order status bot",
"brand_id": "brand_2b3c4d5e6f7081a2b3c4d5"
})
print(r.json())
Go
package main
import (
"bytes"
"net/http"
"os"
)
func main() {
req, _ := http.NewRequest("POST", "https://api.orbit.devotel.io/api/v1/rcs/bots", bytes.NewBuffer([]byte(`{
"name": "Order status bot",
"brand_id": "brand_2b3c4d5e6f7081a2b3c4d5"
}`)))
req.Header.Set("X-API-Key", os.Getenv("ORBIT_API_KEY"))
req.Header.Set("Content-Type", "application/json")
http.DefaultClient.Do(req)
}
Ruby
require 'net/http'
require 'json'
uri = URI('https://api.orbit.devotel.io/api/v1/rcs/bots')
req = Net::HTTP::Post.new(uri)
req['X-API-Key'] = ENV['ORBIT_API_KEY']
req['Content-Type'] = 'application/json'
req.body = {
"name": "Order status bot",
"brand_id": "brand_2b3c4d5e6f7081a2b3c4d5"
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |h| h.request(req) }
puts res.body
PHP
<?php
$ch = curl_init('https://api.orbit.devotel.io/api/v1/rcs/bots');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'X-API-Key: ' . getenv('ORBIT_API_KEY'),
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, <<<JSON
{
"name": "Order status bot",
"brand_id": "brand_2b3c4d5e6f7081a2b3c4d5"
}
JSON);
echo curl_exec($ch);
{
"data": {
"id": "bot_8e7d6c5b4a3f201d5e6c7b8",
"name": "Order status bot",
"status": "draft"
},
"meta": {
"request_id": "req_bot",
"timestamp": "2026-08-01T12:00:00.000Z"
}
}
Scan reach for a segment
POST /api/v1/rcs/reach-scancURL
curl -X POST "https://api.orbit.devotel.io/api/v1/rcs/reach-scan" \
-H "X-API-Key: dv_live_sk_your_key_here" \
-H "Content-Type: application/json" \
-d '{
"segment_id": "seg_7c4e2a9b1d3f50618293a4b5"
}'
Node.js
import { Orbit } from '@devotel-orbit/node'
const orbit = new Orbit({
apiKey: process.env.ORBIT_API_KEY!,
})
const res = await fetch('https://api.orbit.devotel.io/api/v1/rcs/reach-scan', {
method: 'POST',
headers: {
'X-API-Key': process.env.ORBIT_API_KEY!,
'Content-Type': 'application/json',
},
body: JSON.stringify({
"segment_id": "seg_7c4e2a9b1d3f50618293a4b5"
}),
})
console.log(await res.json())
Python
import os, requests
headers = {"X-API-Key": os.environ["ORBIT_API_KEY"]}
headers["Content-Type"] = "application/json"
r = requests.post("https://api.orbit.devotel.io/api/v1/rcs/reach-scan", headers=headers, json={
"segment_id": "seg_7c4e2a9b1d3f50618293a4b5"
})
print(r.json())
Go
package main
import (
"bytes"
"net/http"
"os"
)
func main() {
req, _ := http.NewRequest("POST", "https://api.orbit.devotel.io/api/v1/rcs/reach-scan", bytes.NewBuffer([]byte(`{
"segment_id": "seg_7c4e2a9b1d3f50618293a4b5"
}`)))
req.Header.Set("X-API-Key", os.Getenv("ORBIT_API_KEY"))
req.Header.Set("Content-Type", "application/json")
http.DefaultClient.Do(req)
}
Ruby
require 'net/http'
require 'json'
uri = URI('https://api.orbit.devotel.io/api/v1/rcs/reach-scan')
req = Net::HTTP::Post.new(uri)
req['X-API-Key'] = ENV['ORBIT_API_KEY']
req['Content-Type'] = 'application/json'
req.body = {
"segment_id": "seg_7c4e2a9b1d3f50618293a4b5"
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |h| h.request(req) }
puts res.body
PHP
<?php
$ch = curl_init('https://api.orbit.devotel.io/api/v1/rcs/reach-scan');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'X-API-Key: ' . getenv('ORBIT_API_KEY'),
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, <<<JSON
{
"segment_id": "seg_7c4e2a9b1d3f50618293a4b5"
}
JSON);
echo curl_exec($ch);
{
"data": {
"segment_id": "seg_7c4e2a9b1d3f50618293a4b5",
"reachable": 812,
"unreachable": 21
},
"meta": {
"request_id": "req_reach",
"timestamp": "2026-08-01T12:01:00.000Z"
}
}
List RCS templates for a bot
GET /api/v1/rcs/templatesstring
required
The bot whose templates you list.
cURL
curl -X GET "https://api.orbit.devotel.io/api/v1/rcs/templates" \
-H "X-API-Key: dv_live_sk_your_key_here"
Node.js
import { Orbit } from '@devotel-orbit/node'
const orbit = new Orbit({
apiKey: process.env.ORBIT_API_KEY!,
})
const res = await fetch('https://api.orbit.devotel.io/api/v1/rcs/templates', {
method: 'GET',
headers: {
'X-API-Key': process.env.ORBIT_API_KEY!,
},
})
console.log(await res.json())
Python
import os, requests
headers = {"X-API-Key": os.environ["ORBIT_API_KEY"]}
r = requests.get("https://api.orbit.devotel.io/api/v1/rcs/templates", headers=headers)
print(r.json())
Go
package main
import (
"bytes"
"net/http"
"os"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.orbit.devotel.io/api/v1/rcs/templates", nil)
req.Header.Set("X-API-Key", os.Getenv("ORBIT_API_KEY"))
http.DefaultClient.Do(req)
}
Ruby
require 'net/http'
require 'json'
uri = URI('https://api.orbit.devotel.io/api/v1/rcs/templates')
req = Net::HTTP::Get.new(uri)
req['X-API-Key'] = ENV['ORBIT_API_KEY']
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |h| h.request(req) }
puts res.body
PHP
<?php
$ch = curl_init('https://api.orbit.devotel.io/api/v1/rcs/templates');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'X-API-Key: ' . getenv('ORBIT_API_KEY'),
]);
echo curl_exec($ch);
{
"data": [
{
"name": "order_confirmation",
"status": "approved"
}
],
"meta": {
"request_id": "req_templates",
"timestamp": "2026-08-01T12:02:00.000Z"
}
}
Error envelope
422
{
"error": {
"code": "VALIDATION_ERROR",
"status": 422,
"message": "brand_id: Required"
},
"meta": {
"request_id": "req_...",
"timestamp": "2026-08-01T12:00:00.000Z"
}
}